Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 705354 - gnome-base/gconf: Please consider patching gsettings-schema-convert to use python3
Summary: gnome-base/gconf: Please consider patching gsettings-schema-convert to use py...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
: 735350 (view as bug list)
Depends on:
Blocks: py3-tracker, python-3-incompatible
  Show dependency tree
 
Reported: 2020-01-13 14:54 UTC by Lars Wendler (Polynomial-C)
Modified: 2020-08-20 22:20 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2020-01-13 14:54:03 UTC
We still have packages that depend on gconf although it being abandonware by gnome for quite a while. There are at least two attempts I know of that provided a patch to convert gsettings-schema-convert to use python3 instead of python2:


https://bugzilla.gnome.org/show_bug.cgi?id=759334


https://gitlab.gnome.org/Archive/gconf/merge_requests/3
Comment 1 James Le Cuirot gentoo-dev 2020-03-14 15:28:38 UTC
I don't know exactly which game needs it but my esteam tool detected gconf a requirement for something I have in Steam. I'll go ahead and do this soon if there's no objections.
Comment 2 Jack 2020-05-05 20:46:06 UTC
Probably not relevant, but www-client/opera also requires gconf.  I'm going to try to find out if they have any plans for changing that.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-08-16 10:55:53 UTC
ping.
Comment 4 James Le Cuirot gentoo-dev 2020-08-16 22:25:24 UTC
(In reply to Michał Górny from comment #3)
> ping.

I've been fairly inactive lately but this matters to me so I've picked it up tonight. Will try to update to EAPI 7 while I'm at it but gnome2.eclass might be an issue.
Comment 5 James Le Cuirot gentoo-dev 2020-08-20 22:00:41 UTC
*** Bug 735350 has been marked as a duplicate of this bug. ***
Comment 6 Larry the Git Cow gentoo-dev 2020-08-20 22:20:15 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0311e22fe1952500385ab56183d7fb8d13099ff

commit b0311e22fe1952500385ab56183d7fb8d13099ff
Author:     James Le Cuirot <chewi@gentoo.org>
AuthorDate: 2020-08-20 22:10:01 +0000
Commit:     James Le Cuirot <chewi@gentoo.org>
CommitDate: 2020-08-20 22:10:01 +0000

    gnome-base/gconf: Python 3, python-single-r1.eclass, EAPI 6
    
    Only a single Python executable is installed so supporting multiple
    Python versions does not make sense here.
    
    Closes: https://bugs.gentoo.org/705354
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: James Le Cuirot <chewi@gentoo.org>

 gnome-base/gconf/files/gconf-3.2.6-python3.patch | 164 +++++++++++++++++++++++
 gnome-base/gconf/gconf-3.2.6-r5.ebuild           | 146 ++++++++++++++++++++
 2 files changed, 310 insertions(+)